[Fusionforge-commits] r12720 - trunk/tests/scripts

Christian Bayle cbayle at fusionforge.org
Sat Mar 12 16:41:51 CET 2011


Author: cbayle
Date: 2011-03-12 16:41:51 +0100 (Sat, 12 Mar 2011)
New Revision: 12720

Modified:
   trunk/tests/scripts/fusionforge-build-and-test-deb.sh
   trunk/tests/scripts/fusionforge-build-and-test-rpm.sh
   trunk/tests/scripts/fusionforge-build-and-test-source.sh
   trunk/tests/scripts/phpunit.sh
Log:
give testsuite as phpunit.sh arg


Modified: trunk/tests/scripts/fusionforge-build-and-test-deb.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-deb.sh	2011-03-12 15:29:37 UTC (rev 12719)
+++ trunk/tests/scripts/fusionforge-build-and-test-deb.sh	2011-03-12 15:41:51 UTC (rev 12720)
@@ -90,7 +90,7 @@
 if $REMOTESELENIUM
 then
 	echo "Run phpunit test on $HOST"
-	ssh -X root@$HOST "tests/scripts/phpunit.sh" 
+	ssh -X root@$HOST "tests/scripts/phpunit.sh DEBDebian60Tests.php" 
 else
 	cd tests
 	phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml DEBDebian60Tests.php

Modified: trunk/tests/scripts/fusionforge-build-and-test-rpm.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-rpm.sh	2011-03-12 15:29:37 UTC (rev 12719)
+++ trunk/tests/scripts/fusionforge-build-and-test-rpm.sh	2011-03-12 15:41:51 UTC (rev 12720)
@@ -85,7 +85,7 @@
 if $REMOTESELENIUM
 then
 	echo "Run phpunit test on $HOST"
-	ssh -X root@$HOST "tests/scripts/phpunit.sh"
+	ssh -X root@$HOST "tests/scripts/phpunit.sh RPMCentos52Tests.php"
 else
 	cd tests
 	phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml RPMCentos52Tests.php

Modified: trunk/tests/scripts/fusionforge-build-and-test-source.sh
===================================================================
--- trunk/tests/scripts/fusionforge-build-and-test-source.sh	2011-03-12 15:29:37 UTC (rev 12719)
+++ trunk/tests/scripts/fusionforge-build-and-test-source.sh	2011-03-12 15:41:51 UTC (rev 12720)
@@ -88,7 +88,7 @@
 if $REMOTESELENIUM
 then
 	echo "Run phpunit test on $HOST"
-	ssh -X root@$HOST "tests/scripts/phpunit.sh"
+	ssh -X root@$HOST "tests/scripts/phpunit.sh TarCentos52Tests.php"
 else
 	cd tests
 	phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml TarCentos52Tests.php

Modified: trunk/tests/scripts/phpunit.sh
===================================================================
--- trunk/tests/scripts/phpunit.sh	2011-03-12 15:29:37 UTC (rev 12719)
+++ trunk/tests/scripts/phpunit.sh	2011-03-12 15:41:51 UTC (rev 12720)
@@ -1,4 +1,19 @@
-#! /bin/sh -x
+#! /bin/sh
+if [ $# -eq 1 ]
+then
+        testsuite=$1
+else
+        echo "You must give the testsuite to run :"
+	echo "	- DEBDebian60Tests.php"
+	echo "	- RPMCentos52Tests.php"
+	echo "	- TarCentos52Tests.php"
+fi
+if [ "x$testsuite" == "x" ]
+then
+        echo "Forge test suite not found"
+        exit 1
+fi
+
 SELENIUM_RC_DIR=/var/log
 WORKSPACE=/root
 [ -d $WORKSPACE/reports ] || mkdir $WORKSPACE/reports
@@ -58,6 +73,6 @@
 killall -9 java
 LANG=C java -jar selenium-server.jar -interactive >/dev/null &
 cd tests
-phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml DEBDebian60Tests.php
+phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml $testsuite
 cd ..
 killall -9 java




More information about the Fusionforge-commits mailing list